Slack Integrations

Update Slack Integration

Update a Slack integration

post
/v1/integration/slack/{slackIntegrationId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

slackIntegrationIdstring* Required

The ID of the Slack integration

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

botIdstring

The ID of the bot this configuration is using

signingSecretstring

The signing secret for the Slack integration

botTokenstring

The bot token for the Slack integration

userTokenstring

The user token for the Slack integration

contactCollectionboolean

Weather to collect contacts

sessionDurationnumber

The session duration for the Slack integration

referencesboolean

Whether to enable references feature

ratingsboolean

Whether to enable ratings buttons feature

visibleMessagesnumber

The number of visible messages outside of the new thread

autoRespondstring

When the bot replies to messages that are not addressed to it. Direct messages and mentions of the bot always get a reply. Leave empty to reply only when addressed (the bot keeps replying in conversations it is already part of), use '@all' to reply to every message, '@auto' to let the bot decide from its name, description and backstory, or write instructions describing which messages to reply to ('@agent <instructions>' is accepted and treated the same).

allowFromstring

Restrict which Slack users or channels can interact with this integration. Accepts Slack user IDs (U…/W…), channel IDs (C…/G…/D…), @username, or

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

token: process.env.CHATBOTKIT_API_TOKEN!

})

const response = await cbk.integration.slack.update(

slackIntegrationId,
{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"botId":"string",
"signingSecret":"string",
"botToken":"string",
"userToken":"string",
"contactCollection":"boolean",
"sessionDuration":"number",
"references":"boolean",
"ratings":"boolean",
"visibleMessages":"number",
"autoRespond":"string",
"allowFrom":"string"
}
)
{
"id":"string"
}
The Slack integration was updated successfully